package com.ssj.service.conch.parents.request.version4;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class PushRemindReq extends BaseRequest{
    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "homeworkRemind", value = "0:作业提醒开启 1:作业提醒关闭", required = false)
    private String homeworkRemind;
    
    @ApiModelProperty(name = "problemRemind", value = "0:难题提醒开启 1:难题提醒关闭", required = false)
    private String problemRemind;
    
    @ApiModelProperty(name = "lessonRemind", value = "0:一对一提醒开启 1:一对一提醒关闭", required = false)
    private String lessonRemind;

    @ApiModelProperty(name = "eyeCareTime", value = "护眼设置（分钟）:60:（一小时） 30:(半小时) 15:(十五分钟)", required = false)
    private String eyeCareTime;

	public String getHomeworkRemind() {
		return homeworkRemind;
	}

	public void setHomeworkRemind(String homeworkRemind) {
		this.homeworkRemind = homeworkRemind;
	}

	public String getProblemRemind() {
		return problemRemind;
	}

	public void setProblemRemind(String problemRemind) {
		this.problemRemind = problemRemind;
	}

	public String getLessonRemind() {
		return lessonRemind;
	}

	public void setLessonRemind(String lessonRemind) {
		this.lessonRemind = lessonRemind;
	}

    public String getEyeCareTime() {
        return eyeCareTime;
    }

    public void setEyeCareTime(String eyeCareTime) {
        this.eyeCareTime = eyeCareTime;
    }
}
